> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Group Counters > Get the private channel information for the authenticated user. Permission required: `view-room-administration` ### Changelog | Version | Description | | ------- | ----------- | | 0.65.0 | Added | ## OpenAPI ````json GET /api/v1/groups.counters { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/groups.counters": { "get": { "tags": [ "Groups" ], "summary": "Get Group Counters", "description": "Get the private channel information for the authenticated user. \n\nPermission required: `view-room-administration`\n\n### Changelog\n| Version | Description |\n| ------- | ----------- |\n| 0.65.0 | Added |", "operationId": "get-api-v1-groups.counters", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "$ref": "#/components/parameters/Optional-RoomId" }, { "$ref": "#/components/parameters/Optional-RoomName" }, { "name": "userId", "in": "query", "description": "Counters for provided user ID (you need to have the `view-room-administration` permission for calling user). This parameter is optional", "schema": { "type": "string" } } ], "responses": { "200": { "description": "OK\n\n**Note** The response returns the following information:\n- joined - Boolean flag that shows the particular user has joined the room or not.\n- members - Count of current room members.\n- unreads - Count of unread messages for specified user (calling user or for the provided `userId`).\n- unreadsFrom - Start date-time of unread interval for specified user.\n- msgs - Count of messages in the room.\n- latest - End date-time of unread interval for specified user (or date-time of last posted message).\n- userMentions - Count of user mentions in messages.", "content": { "application/json": { "schema": { "type": "object", "properties": { "joined": { "type": "boolean" }, "members": { "type": "integer" }, "unreads": { "type": "integer" }, "unreadsFrom": { "type": "string" }, "msgs": { "type": "integer" }, "latest": { "type": "string" }, "userMentions": { "type": "integer" }, "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "joined": true, "members": 1, "unreads": 1, "unreadsFrom": "2018-02-18T21:51:20.091Z", "msgs": 1, "latest": "2018-02-23T17:20:17.345Z", "userMentions": 0, "success": true } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Example 1": { "value": { "success": false, "error": "The required \"roomId\" or \"roomName\" param provided does not match any group [error-room-not-found]", "errorType": "error-room-not-found" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "Optional-RoomId": { "name": "roomId", "in": "query", "description": "The room ID. It is required if the `roomName` is not provided.", "schema": { "type": "string" }, "example": "dlpfuijw7ej" }, "Optional-RoomName": { "name": "roomName", "in": "query", "description": "The room name. It is required if the `roomId` is not provided.", "required": false, "schema": { "type": "string" }, "example": "general" } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "success": false, "error": "You must be logged in to do this." } } } } } } } } } ````